Bug 586627 - No audio at low volume settings
Summary: No audio at low volume settings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 02:21 UTC by Travers Carter
Modified: 2011-06-27 15:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:55:14 UTC
Type: ---


Attachments (Terms of Use)
Screencast of "alsamixer -c0" showing incorrect setting of "Master" control (314.11 KB, video/x-theora+ogg)
2010-05-08 08:03 UTC, Matt McCutchen
no flags Details

Description Travers Carter 2010-04-28 02:21:29 UTC
Description of problem:
At volume settings below about 15% there is no audio output, once the volume is set to higher than 15% the audio output starts working, but it is a sudden jump in volume (ie the output is not very quiet).

Basically it appears to be impossible to set the output volume to low levels.

It seems that if the volume is set to just above the point where the output disappears quiet periods in the audio will lead to the output disappearing again, at which point it won't re-appear until the volume setting is increased.


Version-Release number of selected component (if applicable):
pulseaudio-0.9.21-6.fc13.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Start audio playing (eg Amarok, or Flash videos)
2. Set the volume in kmixer OR pavucontrol to <15%
  
Actual results:
No audio output

Expected results:
Low volume audio output


Additional info:
This is on a Dell XPS M1210 Laptop with Intel HDA audio
http://www.smolts.org/client/show/pub_edc7df6d-4f5d-40be-9af7-4e963c13d66b

Comment 1 Matt McCutchen 2010-05-08 08:03:14 UTC
Created attachment 412499 [details]
Screencast of "alsamixer -c0" showing incorrect setting of "Master" control

I'm seeing the same issue on a Dell Latitude D620 with Fedora 12.  I watched "alsamixer -c0" while adjusting the PulseAudio volume via the GNOME panel applet, and PulseAudio seems to be incorrectly setting the "Master" control to zero when the PulseAudio volume is low.  See the attached screencast.

Comment 2 Travers Carter 2010-07-13 02:55:58 UTC
The workaround described in the link below (ignore_dB=1) greatly improves the behaviour of the volume control for me

https://wiki.ubuntu.com/DebuggingSoundProblems/KarmicCaveats#Volume%20range%20anomalies

Comment 3 Bug Zapper 2011-06-02 14:47:16 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 15:55:14 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.